Skip to main content

Documentation Index

Fetch the complete documentation index at: https://cantonfoundation-issue-365-details-history.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

The current production release of the Global Synchronizer software is Splice 0.5.9 running on Canton 3.4.7.

Splice 0.5.9

Scan

  • Added canton.scan-apps.scan-app.acs-store-descriptor-user-version and canton.scan-apps.scan-app.tx-log-store-descriptor-user-version configuration settings to set a user-version for the ACS and TxLog stores respectively. Modifying the user-version wipes the respective store and triggers re-ingestion.
  • Added a new external endpoint GET /v0/unclaimed-development-fund-coupons to retrieve all active unclaimed development fund coupon contracts.

Daml

  • Implemented minting delegation as described in CIP-0073 — Weighted Validator Liveness Rewards for SV-Chosen Parties. New templates added in the splice-wallet package:
    • MintingDelegationProposal — a proposal from the beneficiary to the delegate to create a MintingDelegation
    • MintingDelegation — an active delegation granting the delegate authority to mint rewards on behalf of the beneficiary
Enabling this feature on all validators requires SVs to vote on wallet Daml version 0.1.16.

Wallet

  • Added endpoint POST /v0/wallet/development-fund-coupons/allocate to allocate a development fund coupon for a given beneficiary, amount, expiration time, and reason.
  • Added endpoint GET /v0/wallet/development-fund-coupons to retrieve all active DevelopmentFundCoupon contracts, sorted by expiration date.
  • Added endpoint POST /v0/wallet/development-fund-coupons/{contract_id}/withdraw to withdraw a development fund coupon when the wallet user party is the development fund manager.
  • Minting delegation management added to the wallet UI.
  • Enhanced rewards collection automation to support collecting development fund coupons.

Validator

  • Automation added to perform minting for hosted external parties if they have an active MintingDelegation contract with an internal party.

Canton 3.4.7

This is a maintenance release that fixes an issue when replaying too many ACS changes during connection to a synchronizer.

Compatibility

DependencyVersion
Canton protocol versions34
Java RuntimeOpenJDK 21
PostgreSQLRecommended: 17.6. Also tested: 14.19, 15.14, 16.10

Upgrade notes

If you are upgrading from 0.5.7 or earlier, skip 0.5.7 and go directly to at least 0.5.8. Version 0.5.7 introduced a performance regression related to topology transaction processing that was fixed in 0.5.8.
Version 0.5.8 breaks backwards compatibility with migration dumps taken on 0.4.x versions. Deploy with migrating: false (Helm) or without -M (Docker Compose).
For the full upgrade procedure, see Upgrade Procedures.